﻿var applyConfig = {
    SiteUrl: 'http://www.weiwangpu.cc/',
    AlibabaMemberId: '215',
    Version: 'v1.0.5',
    MobileSiteUrl: 'http://m.weiwangpu.cc/',
    BrowserThemeStyle: 'toolbarcolor=#f26701,titlecolor=#ffffff,progresscolor=#b9e7ff,toolbarheight=47',
    PushTags: 'wwp163,食品',
    ApplyId: '163',
    ApplyName: '兴翔鹭食品',
    ShareUrl: function () { return applyConfig.SiteUrl + "Download/Index/" + applyConfig.ApplyId; }
};
applyConfig.getDataUrl = function (dataUrl) {
    var bTag = "?";
    if (dataUrl.indexOf("?") > -1) {
        bTag = "&";
    }
    var dUrl = applyConfig.MobileSiteUrl + dataUrl + bTag + "memberId=" + applyConfig.AlibabaMemberId + "&uuid=" + device.uuid + "&r=" + Math.round(Math.random() * 1000);
    return dUrl;
};
//新用户申请
applyConfig.newUserApplyFor = function () {
    loading("#home-index");
    $.DataAjax({ Url: applyConfig.getDataUrl('Datacenter/NewUserApplyFor'), Data: { name: device.name, platform: device.platform, uuid: device.uuid, model: device.model, version: device.version, memberId: applyConfig.AlibabaMemberId } },
   function (datas) {
       homePage();
   }
);

};
//版本验证
applyConfig.checkVersion = function () {
    $.DataAjax(
       { Url: applyConfig.getDataUrl('Datacenter/CheckVersion'), Data: { memberId: applyConfig.AlibabaMemberId, version: applyConfig.Version, uuid: device.uuid } },
       function (datas) {
           
           if (datas != undefined && datas != "") {
               navigator.app.loadUrl(encodeURI(datas), { openExternal: true });
           } else {
               applyConfig.alert("您已经是最新版本！",null,"信息提示","确定");
           }
       }
   );
};

//开启浏览器
//target:'_blank'
//paras:'location=yes,toolbarcolor=#fff777,progresscolor=#fff777,toolbarheight=34'
applyConfig.openUrl = function (url, target, paras) {
    var ref = window.open(url, target, paras + "," + applyConfig.BrowserThemeStyle);
    return ref;
};

//复制
applyConfig.contentCopy = function (content) {
    cordova.plugins.clipboard.copy(content);
};
//粘帖
applyConfig.contentPaste = function (content) {
    cordova.plugins.clipboard.paste(function (tContent) { alert(tContent); });
};

//message 提示消息, callback  回调函数, title 标题, buttonName 按钮名称
applyConfig.alert = function (message, callback, title, buttonName) {
    navigator.notification.alert(
           message,  // message
            callback,         // callback
            title,            // title
           buttonName                  // buttonName
    );
};
//message 提示消息, onConfirm  回调函数（buttonIndex 参数）, title 标题, buttonLabels 按钮名称集合
applyConfig.confirm = function (message, onConfirm, title, buttonLabels) {
    navigator.notification.confirm(
    message, // message
     onConfirm,            // callback to invoke with index of button pressed
    title,           // title
    buttonLabels     // buttonLabels
);
};
//message 提示消息, onPrompt  回调函数（results{buttonIndex,input1} 参数）, title 标题, buttonLabels 按钮名称集合,defaultText 默认文本内容
applyConfig.prompt = function (message, onPrompt, title, buttonLabels, defaultText) {
    navigator.notification.prompt(
    message,  // message
    onPrompt, // callback to invoke
    title,  // title
    buttonLabels,// buttonLabels
    defaultText   // defaultText
);
};
//times 时间
applyConfig.beep = function (times) {
    navigator.notification.beep(times);
};
//验证是否有网络
applyConfig.IsNetwork = function() {
    var networkState = navigator.connection.type;

    //var states = {};
    //states[Connection.UNKNOWN] = '未知网络';
    //states[Connection.ETHERNET] = '以太网';
    //states[Connection.WIFI] = 'WiFi';
    //states[Connection.CELL_2G] = '2G';
    //states[Connection.CELL_3G] = '3G ';
    //states[Connection.CELL_4G] = '4G';
    //states[Connection.CELL] = '一般网络';
    //states[Connection.NONE] = '没有网络';

    return networkState != Connection.NONE;
};
applyConfig.loadScript = function(url,loadedFun) {
    var _doc = document.getElementsByTagName('head')[0];
    var script = document.createElement('script');
    script.setAttribute('type', 'text/javascript');
    script.setAttribute('src', url);
    _doc.appendChild(script);
    script.onload = script.onreadystatechange = function() {
        if (!this.readyState || this.readyState == 'loaded' || this.readyState == 'complete') {
            loadedFun();
        }
        script.onload = script.onreadystatechange = null;
    };
};