applyConfig.appInit = function () {
    try {
        afuifooterapressed();
        homePage();
        $('#formSearch').bind('submit', function () {
            var ID = '#search-result', Val = $('#search-wrap .search-s').val();

            $.ui.loadContent(ID, false, false, "left");
            $('#search-val').val(Val);
            $.DataAjax(
                { Url: applyConfig.getDataUrl('Datacenter/SearchResult'), Data: { val: Val } },
                function (datas) {
                    if ($(ID).find('.afScrollPanel').length > 0) {
                        $(ID).children(".afScrollPanel").children().eq(0).remove();
                        $(ID).children(".afScrollPanel").append(datas);
                    } else {
                        $(ID).html(datas)
                    }
                }, function () {
                    wifi(ID)
                }
            )
            return false;
        });
        if (applyConfig.PushApiKey != "") {
            try {

                fastgoPushNotification.init(applyConfig.PushApiKey, applyConfig.PushTags);
            } catch (e) {

            }
        }
        if (!applyConfig.IsNetwork()) {
            applyConfig.loadNewWorkPage("#home-index");
            return;
        } else {
            //发送客服端信息
            applyConfig.newUserApplyFor();
        }
        //qq客服
        if ($("#qq-online-wrap") && $("#qq-online-wrap").length > 0) {
            $(".shareItemWrap").append('<a onclick="qqShow()"><span><i class="iconfont icon-qq"></i>QQ客服</span></a>');
            if (applyConfig.AlibabaMemberId != undefined) {
                $.ajax({
                    url: applyConfig.getDataUrl('Datacenter/GetCustomerServiceList'),
                    dataType: "json",
                    success: function (data) {
                        var qqArr = [];
                        if (data && data.length > 0) {
                            $.each(data, function (i, r) {

                                qqArr.push("<a href=\"http://wpa.qq.com/msgrd?spm=0.0.0.0&v=3&uin=" + r.CustomerNumber + "&site=qq&menu=yes\" target=\"_blank\"><i class=\"iconfont icon-qqBg\"></i>" + r.CustomerName + "</a>");

                            })
                        } else {
                            qqArr.push("<a href=\"javascript:;\">商家未添加QQ客服</a>");
                        }
                        $("#qq-online-wrap .qq-online-content").html(qqArr.join(""));
                    }

                })
            }
        }
    } catch (e) { }
};
function afuifooterapressed() {
    $('#afui footer>a').on('click', function () {
        if ($(this).is('#app-wang')) {
            return false;
        }
        if ($(this).is('#app-join')) { return false; }
        if ($(this).is('#app-collect')) { return false; }
        var index = $(this).index();
        var unIndex = $('#afui footer>a i.curr').parent().index();
        footertoggleClass(unIndex, false, $('#afui footer>a i.curr'));
        footertoggleClass(index, true, $(this).find('i'));

    });
}
function footertoggleClass(i, b, dom) {
    switch (i) {
        case 0:
            if (b) {
                dom.removeAttr('class').addClass('curr iconfont icon-home1');
            } else {
                dom.removeAttr('class').addClass('iconfont icon-home');
            }
            break;
        case 1:
            if (b) {
                dom.removeAttr('class').addClass('curr iconfont icon-pro')
            } else {
                dom.removeAttr('class').addClass('iconfont icon-chanpin')
            }
            break;
        case 2:
            if (b) {
                dom.removeAttr('class').addClass('curr iconfont icon-infro')
            } else {
                dom.removeAttr('class').addClass('iconfont icon-gongsijieshao')
            }
            break;
        case 3:
            if (b) {
                dom.removeAttr('class').addClass('curr iconfont icon-more')
            } else {
                dom.removeAttr('class').addClass('iconfont icon-gengduo')
            }
            break;
    }
}
function homePage() {
    loading("#home-index");
    try {

        // while (!applyConfig.IsNetwork || !applyConfig.loadNewWorkPage || !navigator || !navigator.connection) { }
        if (!applyConfig.IsNetwork()) {
            applyConfig.loadNewWorkPage("#home-index");
            return;
        }
    } catch (e) {
    }
    var $home = $("#home-index");

    $.DataAjax(
		{ Url: applyConfig.getDataUrl($home.data('url')), Type: 'get' },
		function (datas) {
		    $('#index-btn').data('agin', 'yes');
		    if ($home.find('.afScrollPanel').length > 0) {
		        if ($home.find('#loading').length > 0) {
		            $home.children(".afScrollPanel").children().eq(0).remove();
		        } else {
		            $home.children(".afScrollPanel").children().eq(1).remove();
		        }
		        $home.children(".afScrollPanel").append('<div id="home-main">' + datas + '</div>');
		    } else {
		        $home.html('<div id="home-main">' + datas + '</div>');
		    }
		    indexPullToRefresh();
		    try {
		        //关闭欢迎页面
		        navigator.splashscreen.hide();
		    } catch (e) {
		    }

		}, function () {
		}
	);
    $.DataAjax(
		{ Url: applyConfig.getDataUrl($home.data('menurl')), Type: 'get' },
		function (datas) {
		    $('#main-menu').html(datas);
		}
	);
    $('#navbar > #footer > a').eq(0).addClass('pressed').siblings().removeClass('pressed');
    function indexPullToRefresh() {
        var myScroller = $home.scroller();
        myScroller.addPullToRefresh(); //向上拉 更新
        var hideClose;
        $.bind(myScroller, "refresh-release", function () {
            var that = this;
            clearTimeout(hideClose);
            var URL = $home.data('url');
            hideClose = setTimeout(function () {
                $.DataAjax(
					{ Url: applyConfig.getDataUrl(URL) },
					function (datas) {
					    if ($home.find('.afScrollPanel').length > 0) {
					        $home.children(".afScrollPanel").find('#home-main').html('');
					        $home.children(".afScrollPanel").find('#home-main').html(datas);
					    } else {
					        $home.find('#home-main').html('');
					        $home.find('#home-main').html(datas);
					    }
					}
				)
                that.hideRefresh();
            }, 1000);
            return false;
        });
        $.bind(myScroller, "refresh-cancel", function () {
            clearTimeout(hideClose);
        });
    }

}
function getsearch(dom) {
    var $this = $(dom),
		val = $this.data('val'),
		ID = '#search-result';
    $.ui.loadContent(ID, false, false, "left");
    $('#search-val').val(val);
    $.DataAjax(
			{ Url: applyConfig.getDataUrl('Datacenter/SearchResult'), Data: { val: val }, Type: 'post' },
			function (datas) {
			    if ($(ID).find('.afScrollPanel').length > 0) {
			        $(ID).children(".afScrollPanel").children().eq(0).remove();
			        $(ID).children(".afScrollPanel").append(datas);
			    } else {
			        $(ID).html(datas)
			    }
			}
		)
    return false;
}
function loading(ID) {
    var loading = '<div id="loading"><img src="images/loading.gif" /><span><img src="images/wifi_logo.png" /></span></div>';
    if ($(ID).find('.afScrollPanel').length > 0) {
        $(ID).find('.afScrollPanel').html(loading)
    } else {
        $(ID).html(loading)
    }
}
(function ($) {
    $.extend({
        DataAjax: function (options, callback, errorback) {
            var defaults = {
                Type: 'GET',
                Url: '',
                Data: null,
                DataType: 'html',
                Async: true,
                Timeout: 10000,
                Id: ''
            },
				opts = $.extend(defaults, options);
            $.ajax({
                type: opts.Type,
                url: opts.Url,
                async: opts.Async,
                data: opts.Data || {},
                dataType: opts.DataType,
                timeout: opts.Timeout,
                success: function (datas) {
                    if ($.isFunction(callback)) {
                        callback(datas);
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {

                    if (textStatus == 'timeout') {
                        //$.ui.showMask('网络不给力，请检查网络！');								
                        timeoutfun(opts.Id);
                    }
                    else if ($.isFunction(errorback)) {
                        errorback();
                    }
                }
            });
        },
        appTabs: function (Dom) {
            $(Dom).each(function () {
                if ($(this).data('gain') == null) {
                    var $this = $(this);
                    $this.data('gain', 'yes');
                    var defaults = {
                        speed: 500,
                        auto: 0
                    },
						opts = $.extend({}, defaults);
                    var span = $this.find('.tabs-hd > span');
                    var b = $this.find('.tabs-hd > b');
                    var obj = new Swipe($this.find('.tabs-bd').get(0), {
                        speed: opts.speed,
                        auto: opts.auto,
                        callback: function (index, elem) {
                            span.eq(index).addClass('curr').siblings().removeClass('curr');
                            b.css3Animate({ x: span.eq(obj.getPos()).offset().left - 8, time: "10ms" })
                        }
                    });
                    span.each(function (i) {
                        $(this).on('click', function () {
                            obj.slide(i, 500);
                            $(this).addClass('curr').siblings().removeClass('curr')
                        })
                    })
                }
            })
        }
    });
})(af);
function restWifi() {
    homePage();
    $.ui.loadContent("#home-index", false, false, "left");
}
function wifi(ID) {
    var wifiHtml = '<div class="wifi-box" onclick="restWifi()"><p class="img"><img src="images/wifi.png" /></p><p class="text">点击屏幕，刷新数据！！！</p></div>';
    if ($(ID).find('.afScrollPanel').length > 0) {
        $(ID).find('.afScrollPanel').html(wifiHtml)
    } else {
        $(ID).html(wifiHtml)
    }
}
function timeoutfun(ID) {
    var timeoutHtml = '<div class="timeout-box" onclick="restWifi()"><p>数据加载失败</p><p><i class="iconfont icon-shibaizhuanhuan"></i></p><p>点击刷新重新加载</p></div>';
    if ($(ID).find('.afScrollPanel').length > 0) {
        $(ID).find('.afScrollPanel').html(timeoutHtml)
    } else {
        $(ID).html(timeoutHtml)
    }
}
function addDivAjaxLink(Dom, Title, Scroll, Header) {
    var ID = $(Dom).data('id'), URL = $(Dom).data('url'), Type = $(Dom).data('type'), Footer = "footer";
    if (Type) {
        ID = "#" + Type + ID;
        Footer = "footerDetail";
    } else {
        ID = "#" + ID
    }
    if (Header == "innerHeader") {
        $('#navbar > #footer > a').eq(1).addClass('pressed').siblings().removeClass('pressed');
        footertoggleClass($('#afui footer>a i.curr').parent().index(), false, $('#afui footer>a i.curr'));
        footertoggleClass(1, true, $('#navbar > #footer > a').eq(1).find('i'));
    }
    if ($(Dom).data('gain') == 'yes') {
        if ($(ID).data('header') == 'classHeader') {
            $('#classHeader').find('h1').text($(ID).data('title'));
        }
        $.ui.loadContent(ID, false, false, "left");
    } else {

        $.ui.addContentDiv(ID, '', Title);
        $(ID).attr({ 'data-footer': Footer, 'data-title': Title, 'data-url': URL });

        if (Header) {
            $(ID).attr({ 'data-header': Header });
            $('#' + Header).find('h1').text(Title);
        }
        $.ui.loadContent(ID, false, false, "left");
        loading(ID);
        if (!applyConfig.IsNetwork()) {
            applyConfig.loadNewWorkPage(ID);
            return;
        }
        $.DataAjax(
            { Url: applyConfig.getDataUrl(URL), Id: ID },
            function (datas) {
                $(Dom).data('gain', 'yes');
                if ($(ID).find('.afScrollPanel').length > 0) {
                    $(ID).find('.afScrollPanel').html(datas)
                } else {
                    $(ID).html(datas)
                }
                if (Type || ID == "#abouts") {
                    setTimeout(function () { $.appTabs('.app-tabs') }, 100);
                }
                if (Scroll) {
                    instanceIscroll(ID);
                }

            }, function () {
                wifi(ID);
            }
        );
    }
}
function pagesAjaxLink(Dom) {
    var ID = "#" + $(Dom).data('id');
    $.DataAjax(
			{ Url: applyConfig.getDataUrl($(Dom).data('url')) },
			function (datas) {
			    if ($(ID).find('.afScrollPanel').length > 0) {
			        $(ID).children(".afScrollPanel").children().eq(1).remove();
			        $(ID).children(".afScrollPanel").append(datas);
			    } else {
			        $(ID).children(".pro-list-wrap").remove();
			        $(ID).append(datas);
			    }

			}
		)
}
function instanceIscroll(id) {

    var myScroller = $(id).scroller();
    myScroller.addPullToRefresh(); //向上拉 更新
    var hideClose;
    $.bind(myScroller, "refresh-release", function () {
        var that = this;
        clearTimeout(hideClose);
        var URL = $(id).find('div.pro-hd-box').find('span.curr').data('url');
        hideClose = setTimeout(function () {
            $.DataAjax(
                { Url: applyConfig.getDataUrl(URL) },
                function (datas) {
                    if ($(id).find('.afScrollPanel').length > 0) {
                        $(id).children(".afScrollPanel").children().eq(1).remove();
                        $(id).children(".afScrollPanel").append(datas);
                    } else {
                        $(id).children(".pro-list-wrap").remove();
                        $(id).append(datas);
                    }
                }
            )
            that.hideRefresh();
        }, 1000);
        return false;
    });
    $.bind(myScroller, "refresh-cancel", function () {
        clearTimeout(hideClose);
    });
    myScroller.addInfinite();//向下拉 更新
    var isfinishread = true;
    $.bind(myScroller, "infinite-scroll", function () {
        if (!isfinishread) { return; }
        isfinishread = false;
        var self = this;
        if ($('#infinite').length == 0) { $(this.el).append('<div id="infinite" style="text-align:center; padding:1em 0"><i class="iconfont icon-spinner"></i> 载入中...</div>'); }

        $.bind(myScroller, "infinite-scroll-end", function () {
            var nextUrl = $(id).find('div.pro-hd-box').find('span.curr').data('next');
            $.unbind(myScroller, "infinite-scroll-end");
            self.scrollToBottom();
            setTimeout(function () {
                $(self.el).find("#infinite").remove();
                self.clearInfinite();
                $.DataAjax(
                    { Url: applyConfig.getDataUrl(nextUrl), async: false },
                    function (datas) {
                        $(self.el).find('div.pro-bd-wrap').append(datas);
                        $(id).find('div.pro-hd-box').find('span.curr').data('next', $(self.el).find('div.pro-next-url').data('url'));
                        $(self.el).find('div.pro-next-url').remove();
                        isfinishread = true;
                    }
                )
                self.scrollToBottom();
            }, 1000);
        });
    });
}
function subMenu(Dom) {
    var $wrap = $('#main-menu'), $i = $('#backMainMenu'), $box = $('#subMenu');
    $box.html($(Dom).find('.sub-menu').html());
    $wrap.css3Animate({ x: "-200px", time: "300ms" });
    $i.click(function () {
        $wrap.css3Animate({ x: "0px", time: "300ms" });
    });
}
function share() {
    var $el = $('#app-shareItem');
    if ($el.css('display') == "none") {
        $el.show();
    } else {
        $el.hide();
    }
    $el.find('div.app-share-bg').bind('click', function () {
        $el.hide();
    });
}
function shareShow() {
    var $el = $('#app-share-wrap'), $label = $('#app-share-label');
    $('#app-shareItem').hide();
    $el.show();
    $label.click(function () {
        $el.hide();
    })
}
function qqShow() {
    var $el = $('#qq-online-wrap'), $label = $('.qq-online-bg');
    $('#app-shareItem').hide();
    $el.show();
    qq_top();
    $label.click(function () {
        $el.hide();
    })
}
function qq_top() {
    var height = $(".qq-online-content").height();
    $(".qq-online-box").css({ "margin-top": -height / 2 })
}
function guideShow() {
    applyConfig.addToCart();
}
function searchShow() {
    $.ui.loadContent('#search-wrap', false, false, "left");
    $('#search-wrap .search-s').focus();
    $.DataAjax(
		{ Url: applyConfig.getDataUrl('Datacenter/SearchHistory') },
		function (datas) {
		    $('#search-wrap .search-list').html(datas);
		}, function () {
		    wifi("#search-wrap")
		}
	)
}
function unSearch() {
    $.ui.goBack();
}
function twowmaShow(Dom) {
    addDivAjaxLink(Dom, '二维码', 0)
    $('#app-shareItem').hide();
}
function clearsearch() {
    $(".search-list").html("");
    $.DataAjax(
        { Url: applyConfig.getDataUrl('Datacenter/ClearSearch') }
    );
}
$(function () {
    if (applyConfig.TelPhone != undefined) {
        var tel = '  <a href="tel:' + applyConfig.TelPhone + '"><span><i class="iconfont icon-dianhua"></i>电话</span></a>';        
        $(".shareItemWrap").append(tel);
    }
   
});
function weixinShow(wxh) {
    var $el = $('#weixinhao-wrap'), $label = $('.wx-bg');
    if (!$el || $el.length < 1) {
        alert("微信号：" + wxh);
        return;
    }
    $("#addwxh").html("微信号：" + wxh);
    $('#app-shareItem').hide();
    $el.show();
    $label.click(function () {
        $el.hide();
    })
}



